Subject: Re: Linking with Borland C
From: [email-masked] (Christian Joensson FOA 72)

18 Sep 1998 12:29:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Jeffrey Russell Horner <[email-masked]>
Cc: [email-masked]

[email-masked] said:
> I have been successfull in building libraries with gnuwin32 gcc and
> linking them with various NT compilers: VC++, Intel's c compiler,
> Watcom C/C++.  However, since I don't have a Borland compiler I've
> never tested linking with it.

> One is able to do this since gnuwin32 gcc uses the COFF object format,
> the same one used by most (the ones I've listed above) NT compilers.
> The trick to getting gcc-compiled libraries or objects to link with NT
> libraries or objects is this:  You Must Use The Correct Calling
> Convention, e.g., symbol names, caller or callee cleans up stack, etc.

> I don't know if this discussion is relevant to the list, but you can
> email me if you need more help. 

Please elaborate a little on this issue. I do think that some people, besides 
myself, would like to hear as much about this as possible. Could you perhaps 
discuss the name mangling problem with C++, perhaps the dll issues could have 
some more light shed upon them, what's your thoughts on COM objects, are there 
important differences between cygwin32 and mingw32?

I do know that this might get us off topic, but then again, it's that 
interesting to me, and perhaps others, that  me might allow ourselves a new 
thread? Maybe something on your fine home page also?

TIA,

/ChJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".